# 1.4dev-228
**For Minecraft: PE v0.9.0 alpha**

Since the latest release, 786 commits have been done, 942 files have been changed (almost every file), and ~200.000 lines have been modified during the last 6 months.

This is the first beta in the 1.4 series. This is a complete rewrite of PocketMine-MP, so only plugins developed for this new API will work.

**Main features:**
- Physics!
- New plugin API!
- Infinite worlds
- Multithreading!
- New efficient threaded networking library, [RakLib](https://github.com/PocketMine/RakLib)
- Supports Minecraft: PE 0.9.0!

**Other features:**
- Permission system
- New event system
- Separation of network code and server logic, allows custom interfaces _(RakLib, BigBrother, RubberBand)_
- Advanced settings on pocketmine.yml file!
- Auto updater notifications
- Support for Anvil worlds (import your PC worlds)

**Not implemented:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- No entities except dropped items (and no spawning)
- No liquid flow
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-277
**For Minecraft: PE v0.9.1 alpha**

This is the second beta for 1.4, and includes lots of fixes and a few new features since the beta1.

This beta changes the API version to 1.1.0 (backwards-compatible) due to fixes and the new timings feature being added. All plugins that use API 1.0.0 are compatible and do not need changes. If your plugin works on API 1.0.0, please do not set the API version to 1.1.0, that will only refuse to load where it can work.

**Main features:**
- Updated RakLib to 0.2.0
  - Fixes high CPU load issues
  - Fixes players not quitting on timeout
  - Fixes abusive bandwidth usage when a player timeouts
- Fixed abusive CPU and memory usage on normal operation
- Added Timings (read more on #1634)

**Fixes and additions:**
- Updated lava and fire causes #1581
- Fixed #1570 Plugins can't be loaded on folders with periods
- Fixed #1583 Scheduled Tasks getting repeated
- Entity health is now saved and restored
- Fixed #1584 duplicated death messages
- RakLib is now blocking, less CPU usage
- Updated plugin enable/disable event type #1585
- Fixed #1578 Memory leak on chunk garbage collection
- Fixed #1591 Players die when they leave the game
- Fixed /kick player name
- Fixed #1595 Undefined variable on QueryHandler
- Improved entity attack push
- Added more damage sources
- Fixed #1598 spawning on index-corrupted chunks
- Added settings.query-plugins to pocketmine.yml
- Added deprecation warning on plugin events
- Fixed /list now showing the correct player count
- Fixed #1609
- Fixed #1604 Items fly upwards
- Added upload/download speed on title bar
- Fixed unsigned fields read as signed, fixes not being able to use ports bigger than 2^15
- Fixed #1622 /kick crashes the server on offline players
- Fixed #1616 Players now use the world spawn by default
- Fixed #1615 Players on creative mode can die of falling
- Added core timings, plugin timings, and /timings command
- New API version 1.1.0 (backwards-compatible)
- Fixed #1642 Server crashing on invalid entities
- Fixed #1641 Players not having a proper timeout
- Added proper comments to Vector3::add() and Vector3::substract() #1649
- Workaround for clients teleporting randomly
- Workaround for clients crashing in the server
- Workaround for certain AsyncTask not getting collected by the pthreads Pool
- Fixed memory leak in AsyncTask collection
- Improved random block ticking
- Fixed #1640
- Fixed #1636
- Fixed #1590
- Fixed #1573

**Not implemented and known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- CPU usage is high during player join (Anvil -> MCPE network chunk conversion)
- Chunks can be generated empty sometimes, even on spawn chunks
- No entities except dropped items (and no spawning)
- Entity AI
- RCON
- No liquid flow
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-413
**For Minecraft: PE v0.9.5 alpha**

This is the third beta for 1.4, with a lot of changes since the last beta.

This beta changes the API version to 1.2.0 (backwards-compatible) due to changes in how level formats are handled, Thread management. All plugins that use API 1.0.0 or 1.1.0 are compatible and do not need changes. If your plugin works on API 1.0.0 or 1.1.0, please do not set the API version to 1.2.0, that will only refuse to load where it can work.

**Main features:**
- Crash reports and automatic reporting
- Added multiple Level format support
- Use McRegion format to improve chunk sending CPU usage
- Loaded chunks use 50% less memory than before
- Void chunks have been fixed
- RCON is now working

**Fixes and additions:**
- Added far-generated chunk garbage collection
- Fixed #1628 #1671 invalid sender x,y,z on /spawnpoint
- Use Player::getDisplayName() on more commands
- Fixed crash on /stop
- Fixed being killed on teleport
- Fixed inventory being sent before spawning
- Fixed #1614 #1678 #1711 Some blocks cannot be placed, stone has incorrect ID
- Fixed #1668 Only allow one thread per property
- Implemented new crash dumps
- Added count(Enum), for NBT
- Fixed Level::useBreakOn() when Item was null
- Fixed an error related to AIR constant
- Updated Stick crafting recipe to give x4
- Fix for thrown EmptyChunkSection modification exception
- Fixed player creative inventory
- Fixed crash when placing water or lava
- Fixed crash when cactus was updated
- Fixed crash when using Level scheduled block update ReversePriorityQueue
- Added new exception when a plugin creates an orphaned PluginTask
- Throw exception when an invalid chunk is set as the parent of a Tile/Entity
- Added McRegion detection to Anvil
- Added multiple format support
- Added McRegion level format
- API version bumped to 1.2.0
- Added block order detection, added support for non-sectioned level formats
- Fixed #1659 PvP settings not working
- Fixed loading invalid plugins crashing the server
- Removed SimpleChunk from generator, core, use binary representation of chunks
- Fixed #1807 #1794 #1740 #1741 #1685 Tuned generator to use a better way to process chunks
- Fixed crash on chunks that are used by an entity after generation
- Improved memory usage when chunks are saved/generated
- Added worlds directive to pocketmine.yml to load extra worlds or use a plugin-provided generator
- Disabled chunk ticking while it is being worked on
- Added getExecutor() and setExecutor() method to PluginCommand
- Updated Installer wizard language
- Added proper Entity->__toString()
- Added ChunkLoadEvent, ChunkUnloadEvent, ChunkPopulateEvent
- Fixed /tell command not having spaces
- Added Position::fromObject() strong reference parameter
- Modified how chunks handle level providers
- Added a Thread manager
- Fixed #1842 Players are now moved using the head
- Fixed source servers getting invalid AutoUpdater notifications
- Made AsyncTask::onCompletion() implementation optional
- Fixed RCON usage

**Not implemented and known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- World generation is slower than in older builds
- No entities except dropped items (and no spawning)
- Entity AI
- No liquid flow
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-449
**For Minecraft: PE v0.9.5 alpha**

This is the fourth beta for 1.4. From now on, beta builds will be released faster with less changes between them, So we'll focus on adding new features on each build. New features will be buggy, but we hope to receive feedback to fix them soon. Old features will be more stable on each build.

This beta changes the API version to 1.3.0 (backwards-compatible), improving level chunk sending and adding new plugin events for developers. All plugins that target older APIs are compatible and do not need changes. If your plugin works on older API versions, please do not set the API version to 1.2.0, that will only refuse to load where it can work.

**Main features:**
- Improved player movement
- Fixed player actions lagging behind the server
- Implemented circular chunk sending / view distance
- Generation works correctly with multiple worlds
- Creative and survival hotbar works better
- Better wooden tool crafting
- Players will drop their inventory on death

**Fixes and additions:**
- Level formats can send chunks to players directly without implementing an AsyncTask
- Implemented circular chunk sending / view distance, as Johan commented on the IRC
- Fixed AddMobPacket (x,y,z from float to int)
- Generated levels create chunks starting from the spawn, instead of the corner
- Added exception handling to level loading
- Player movement is sent as direct packets, decreases lag
- Fixed #1883 Release strong weak references on close
- Throw exception when null chunk is passed to a Tile/Entity instead of crashing
- Fixed crash caused by a race condition on Query
- Throw invalid event exception when a plugin tries to declare an abstract event
- Stop submission of plugin syntax error crashes
- Fixed crash on tile unloading
- Load later plugins with custom loader, fixes API
- Fixed #1882 Race-condition on multiple world generation, causing lock up
- Alternate chunk generation between multiple levels
- Fixed #1901, EmptyChunkSection gets replaced by invalid Section
- Added SignChangeEvent
- Added RemoteServerCommandEvent
- Bump API version to 1.3.0
- Removed PHP_VERSION constant on pocketmine namespace
- Added Chiseled stone brick, red sand
- Added item activation
- Added Zombie spawn egg
- Added Villager spawn egg
- Fixed AddEntityPacket (type byte -> int)
- Added base Arrow
- Check if player is online before showing it to other players
- Creative and survival hotbar works better
- Workaround crash when placing paintings
- Fixed crashes when default level is not loaded
- Modified chunk generation garbage collector
- Fixed #1674 Wooden tools only craft with Oak wood
- Fixed #1889 Players drop their inventory when they die
- Fixed #1703 In-game action lag
- Fixed level data not being saved
- Improved server shutdown
- Improved player spawning, closes #1890
- Added End Stone, End Portal, Mycelium, Monster Spawner and Podzol blocks.

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- World generation is slower than in older builds
- Server can use more memory than specified
- Chunks are not freed correctly from the generation thread
- Spawning lots of entities causes massive lag
- Entities / Entity AI
- No liquid flow
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-478
**For Minecraft: PE v0.9.5 alpha**

This is the fifth beta for 1.4, and we have focused on improving the overall performance of the server.

This beta changes the API version to 1.3.1 (only fixes), so there are no notable changes for plugins.

**Main features:**
- Fixed player movement glitch
- Overall performance improvements
- Server requires PHP 5.5 or greater (drops Windows XP support)
- Reactivated chunk ticking _(can be disabled via pocketmine.yml)_
- Beds! Furnaces!

**Fixes and additions:**
- Fixed potential Mycelium crash. PR #1944
- Fixed #1948 /whitelist list not working
- Deprecated Server::loadPlugin(Plugin) in favor of Server::enablePlugin(Plugin)
- Removed hardcoded Server name from source
- Added --enable-profiler parameter to use with @krakjoe profiler
- Require PHP >= 5.5
- Performance improvements in NBT reading/writing
- Performance improvements in blocks and Entities
- Improved Level::getBlock()
- Improved Air block collision check
- Updated blocks bounding boxes
- Added RakLib port checking option
- Implemented correct time offsets and speed
- Implemented beds
- Fixed #1967 Glowstone dust -> Glowstone recipe
- Added teleport flag to MovePlayerPacket, improves player movement
- Removed unloaded chunk check
- Improved player onGround collision check
- Improved NBT IntArray read/write
- Improved Block selection and construction performance
- Fixed #1970 Breaking blocks does not remove tile entities
- Fixed Chests/Furnaces not dropping contents when broken
- Workaround BaseChunk::setBlock() recursion issues
- Moved spl to [PocketMine-SPL](https://github.com/PocketMine/PocketMine-MP)
- Ctrl+C handling and kill signals are working again
- Fixed #1953 Increased item PickupDelay to 2.5 seconds
- Fixed #1879 Tile entities were not saved on chunk unload
- Fixed #1911 Implemented FurnaceInventory callback
- Added Furnace progress fire
- Fixed undefined index on furnace recipes
- Fixed furnace achievement check
- Improved chunk sending
- Improved chunk ticking, enabled again. _Disable it setting chunk-ticking.per-tick to 0_
- Dropped items and arrows get deleted on Y < 0
- Fixed #1926 Teleport to non-generated chunks

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Server can use more memory than specified
- Idle servers will increase its CPU usage as time goes on
- Chunks are not freed correctly from the generation thread
- Spawning lots of entities causes unexpected lag
- Entities / Entity AI
- No liquid flow
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-491
**For Minecraft: PE v0.9.5 alpha**

This is the sixth beta for 1.4, upgrading to PHP 5.6 features and fixing entity physics!

There are no API changes

**Main features:**
- Server requires PHP 5.6, improves performace
- Fixed fatal error on startup
- Fixed entity physics, fixed cause of lag

**Fixes and additions:**
- Fixed #1983 Check player online status
- Fixed #1980 Fatal error on server load
- Initial PHP 5.6 features support
- Improved safe_var_dump(), Inventory::addItem() Inventory::removeItem() using argument unpacking
- Improved performance of Item::get()
- Removed cli_set_process_title() check
- Added entity id names
- Fixed Item after-clone behavior
- Fixed possible Level::getBlock() crash
- Improved unloaded tile entity handling
- Fixed #1966 Face Lit Pumkins correctly
- Fixed entity physics and AxisAlignedBB

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Server can use more memory than specified
- Chunks are not freed correctly from the generation thread
- Entities / Entity AI
- No liquid flow
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-576
**For Minecraft: PE v0.9.5 alpha**

This is the seventh beta for 1.4, getting near the stable release.

The API version has been bumped to 1.4.0 (backwards-compatible) due to new features being added and bugs in the API being patched.

**Main features:**
- New pthreads version required, thanks to @krakjoe for fixing lots of bugs!
- Performance improvements in RakLib & thread communication
- Better physics & bounding boxes
- Added working bow & arrows
- Better timings reports
- Improved server ticks per second
- Improved world and block saving
- Added more damage sources

**API changes**
- Implemented NBT::getArray() and NBT::setArray()
- Made EntityDamageByEntityEvent call EntityDamageEvent handlers
- Added EntityShootBowEvent
- Added extra documentation to Level::setBlock()
- Added Server::getTickUsage()
- Fixed PermissionAttachment not recalculating its Permissible permissions
- Fixed EntityMoveEvent not being cancelled correctly on players
- Fixed Permissible::setPermission() not using the correct order on replacement
- Added PermissionAttachment::setPermissions()
- Added PermissionAttachment::unsetPermissions(), PermissionAttachment::clearPermissions()
- Custom threading is less buggy now due to pthreads fixes

**Fixes and additions:**
- Renamed Item\Block to Item\ItemBlock, fixes several crashes
- Fixed physics sneak flag
- Use Entity::move() as player movement, protect against noclip cheat
- Fixed double physics calculation
- Fixed armor crafting recipes
- Added Bed bounding box
- Added Chest bounding box
- Added Carpet bounding box
- Added Slab bounding box
- Added Wooden Slab bounding box
- Fixed entity partial block moving
- Disable RakLib port checking by default
- Added survival check to movements
- Added check for invalid entity attack
- Added arrow and suicide death messages
- Added stairs bounding box
- Added cactus bounding box
- Added End Portal frame bounding box
- Added Farmland bounding box
- Added Fence bounding box
- Added Fence Gate bounding box
- Added Glass Pane bounding box
- Added Iron bars bounding box
- Added Doors bounding boxes
- Added Cake bounding box
- Added Ladder bounding box
- Added Soul Sand bounding box
- Added Cobble Wall bounding box
- Added Trapdoor bounding box
- Fixed infinite Entity recursion on chunk load
- Fixed creative players dropping their inventory
- Player creative check refactor
- Fixed timings name
- Fixed timings ticks getting reset
- Tick entities on Level, show correct timing reports
- Fixed crash when chests are closed with viewers
- Fixed #2032 Do not set Level to null
- Improved CallbackTask timings data
- Added __debugInfo() to Server and Level
- Fixed dropped items going too fast
- Do not report E_PARSE or E_COMPILE_ERROR crashes
- Improved server ticking.
- Fixed Server::getTicksPerSecond()
- Possible fix for level save issues, related to #1985 #1982 #1758
- Implemented Falling Sand
- Fixed possible Player crash on save
- Fixed Level::setBlock() old calls
- Added cactus neighbour block check
- Implemented attack cooldown
- Fixed HeldItem were swapped in mining
- Fixed Player's slot[0] disappears on logging in
- Added --disable-readline CLI argument
- Fixed Item drop delay
- Updated RakLib path
- TPS measurement improvement, moved interface handling to tick
- Possible fix for #2061
- Added binary reading optimizations, faster 64-bit reading
- Normalized Player pitch/yaw
- Added Pumpkin & Lit Pumpkin rotation
- Removed pthreads workarounds
- Fixed #2077 Block changes not being saved
- Fixed #2075 Door bounding boxes
- Added forced position strong check for Player
- Fixed #2035 Invalid Fence Gate bounding box
- Added Player->forceMovement check on teleport
- Enabled default PHP GC on generator thread
- Optimized server sleep times
- Added Permission/Permissible calculation timings
- Level generators can be set in server.properties
- Improved Player last damage check
- Added Fire, Lava damage
- Show fire to other clients
- Cobweb, Ladders and Water won't cause fall damage
- Added suffocation, drowning damage. Closes #1908
- Added more death messages
- Added Cactus damage

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Server can use more memory than specified
- Chunks are not freed correctly from the generation thread
- Entities / Entity AI
- No liquid flow
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-599
**For Minecraft: PE v0.9.5 alpha**

This is the eighth beta for 1.4!

There are no important API changes in this build.

**Main features:**
- Faster RakLib processing
- Server won't hang up when stopping
- Fixed usage sending issues
- Decreased memory issues on Generation Thread
- Fixed entity issues on negative coordinates

**API changes**
- Improved event checking on PlayerInteractEvent
- Throw exception when Server::dispatchCommand() is called with an invalid CommandSender
- Documented tool usage in Level::useBreakOn()

**Fixes and additions:**
- RakLib patches
- Handle force parameter properly on Level::unload()
- Remove level locks
- Removed embedded class names
- Fixed #2046
- Fixed date_default_timezone_set E_NOTICE
- Send build number on usage
- Send project name on usage
- Block more player actions when dead, fixes #2102
- Fixed #2104 Can't place blocks where non-solid entities exist
- Fixed Utils::getUniqueID() on Linux due to /proc/cpuinfo
- Protect against \0 attacks on name checking
- Added TPS load to /status
- Possible fix for #1920
- Fixed #2114 Removed Player collisions with other entities
- Fixed Entity/Block issues on negative coordinates, fixes #2100
- Fixed #1750 cannot place slabs against blocks

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Server can use more memory than specified
- Entities / Entity AI
- No liquid flow
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-659
**For Minecraft: PE v0.9.5 alpha**

This is the 9th beta for 1.4!

There are no important API changes in this build, just behavior fixes so the API version has been bumped to 1.4.1

**Main features:**
- Added non-threaded chunk generation, toggleable on pocketmine.yml
- Added Liquid flow
- Fixed Double Chests
- Auto-save property is now working
- Implemented Arrow pick up
- Implement Armor changes as Transactions
- Compatibility with pthreads > 2.0.8
- Entities / Tile Entities are handled more reliable on worlds
- Implemented flying protection

**API changes**
- Deprecated Level->getChunkAt() in favor of Level->getChunk()
- Allow setting the player spawnpoint via events before PlayerJoinEvent
- Fixed PlayerChatEvent::setRecipients() being useless
- Fixed #2153 Cancelling an EntityDamageEvent has no effect for lava damage

**Fixes and additions:**
- Add valid position difference back to Player entities
- Torches can now be crafted using charcoal
- Fixed players getting Suffocation damage inside transparent blocks
- Send player metadata on respawn
- Improved Level::getSafeSpawn()
- Improved knockback motion
- Improved player movement, check once per tick
- Improved chunk unload queue
- Added non-threaded chunk generation, toggleable on pocketmine.yml
- Fixed #2121 Players' heads flip upside down and back around after going past pitch = 0
- Fixed Level->scheduleUpdate() tick calculation
- Improved Level block update scheduling for repeated updates
- Added torch drop
- Basic entity motion on water
- Improved Player generation queue
- Fixed #2126 Items drop twice from tile entities
- Fixed Double Chests
- Fixed server crash when Tile Entities / Entities were loaded and requested the same chunk
- Fixed auto-save configuration, made it global
- RakLib update
- Fixed #2055 Extra packet data sent on armor change
- Improved single-threaded chunk generation efficiency
- Improved entity base ticks
- Improved entity movement updates
- Implemented Arrow pick up
- Fixed Anvil levels duplicating saved entities
- Improved Chunk entity loading
- Improved exponentiation
- Added armor change $source parameter
- Improved PlayerInventory->setItemInHand() $source call, fixed Tool durability
- Implement Armor changes as Transactions
- Fixed entities getting OnGround default to true
- Added individual object timings to Entities / Tile Entities
- Compatibility with pthreads > 2.0.8
- Reliable timezone detection
- Fixed Server->unloadLevel() not removing objects from memory
- Moved connected flag up in the Player disconnect process
- Improved initial chunk loading, do not skip near chunks, fixes world loading getting stuck
- Changed base block classes to abstract, closes #2159
- Implement crop growth levels properly, fixes #2002, closes #2160
- Implemented flying protection
- Fixed Player movement collision checks
- Removed parse errors from AutoReporting
- Improved entity ticking
- Fixed Level->getCollidingEntities() when called with a null Entity
- Removed selectors on Player->sendMessage()

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-665
**For Minecraft: PE v0.9.5 alpha**

There are new additions to the API (backwards-compatible), and the API version has been bumped to 1.5.0

**Main features:**
- Fixed issues with latest beta
- Explosions!
- Added Vines
- Plugins can now change Query data

**API changes**
- Added new Tool type selection constants
- Implemented QueryRegenerateEvent
- API 1.5.0

**Fixes and additions:**
- Do not spawn dead entities to players, fixes #2157, possible fix for #2139
- Unload entities from chunks, possible fix for #2157, fixes #2165
- Added Vine blocks, closes #2162
- Spawnable->spawnToAll() now uses the actual chunk instead of the entire level to spawn
- Implemented Explosion and PrimedTNT, closes #2139

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-707
**For Minecraft: PE v0.9.5 alpha**

This release includes lots of backwards-compatible API changes, so the API version has been bumped to 1.6.0

**Main features:**
- Overall performance improvement
- Lots of new events for the plugin API
- Level Block caching, improves performance
- Removed dead code and ported old functionality on item drops
- Implemented scheduled and partial entity updates, improves performance
- Only modified chunks are saved

**API changes**
- API 1.6.0
- New PlayerMoveEvent, improved player movement event firing
- **Deprecated EntityMoveEvent**
- Fixed arrow damage not getting overridden by the event result
- Added EntityCombustEvent and children
- Added EntityDamageByBlockEvent (child of EntityDamageEvent)
- Improved EntityRegainHealthEvent
- Improved EntityShootBowEvent
- Added ExplosionPrimeEvent
- Added ItemDespawnEvent
- Added ItemSpawnEvent
- Added ProjectileLaunchEvent
- Added ProjectileHitEvent
- Added PlayerBedEnterEvent and PlayerBedLeaveEvent
- Added PlayerDeathEvent methods for inventory keeping
- Added Tile->getBlock() method
- Added FurnaceBurnEvent
- Added FurnaceSmeltEvent
- Added Living->getTargetBlock(), Living->getLineOfSight(), Vector3 side constants, Vector3::getOppositeSide()
- Deprecated Level->getSpawn() in favor of Level->getSpawnLocation()
- Added LeavesDecayEvent
- Added BlockSpreadEvent
- Added BlockGrowEvent
- Added EntityBlockChangeEvent
- Added PlayerBucketEvent and children, improved Bucket usage and Liquid placing
- Removed Generic block class
- Updated PluginManager event deprecation message
- Added BlockUpdateEvent
- Throw CRITICAL error message on unhandled Exception on plugin events instead of crashing
- Throw CRITICAL error message on unhandled Exception on commands instead of crashing
- Fixed Inventory->removeItem()
- Fixed AxisAlignedBB->setBB()

**Fixes and additions:**
- Updated RakLib, better player join
- Fixed issues with Entity::heal() method
- Removed unused imports
- Updated fuel duration to ticks
- Improved liquid performance
- Removed old OS detection code
- Added TextWrapper
- Increased Player->stepHeight to 0.6, closes #2156
- Removed workaround on flying check due to physics calculation fix, closes #2169
- Workaround for entities glitching through the floor on the client-side
- Improved Living entity ticking
- Removed unused code, fixed undefined variables
- Added global block cache
- Made Wheat crops extend Crop class
- Removed old Player->timeout property
- Fixed Level->getCollidingEntities()
- Save block bounding boxes, improves block cache
- Removed a bunch of TODO and fixed item drops on block update
- Improved item drop spawning
- Improved Entity extinguish operations and packet spam
- Increased Player->forceMovement check radius
- Improved player movement event firing & corrections
- Fixed Level->getNearbyEntities(), fixes item drops not being picked up
- RakLib update, PING/PONG handling
- Implemented scheduled and partial entity updates
- Micro-optimizations
- Fixed player using an invalid spawn chunk
- Implemented saving modified chunks
- Fixes entities not being saved and tile entities having an incorrect field, closes #1661
- Match Player pickup area with Minecraft
- Fixed RegionLoader not creating default index on first load
- Do not block when killing workers
- Fixed error_handler trace generation on higher debug levels
- Do not wrap text if unknown characters are found.
- Fixed Tasks deleting their Timings reports
- Added extra Entity metadata
- Optimized Player->orderChunks() and chunk sending ordering algorithm
- Improved chunk loading and order refresh times
- Fixed #2183
- Improved broadcast packet encoding

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-822
**For Minecraft: PE v0.9.5 alpha**

This should be the last beta version for Minecraft: PE v0.9.5, the next release will be for Minecraft: PE 0.10. It is already ready, so we aim to release it on the same day as it is released for iOS and Android.
This release includes lots of backwards-compatible API changes, so the API version has been bumped to 1.7.0

**Main features:**
- Overall performance improvements
- Fixes lots of problems related to inventory
- Snowballs!
- Added Error -> Exception handling
- Fixed lots of crafting recipes
- Builds are now optimized on creation time
- Added /time start and /time stop
- Improved networking code and binary I/O methods

**API changes**
- API 1.7.0
- Fixed Level->getMetadata() and similar, removed extra references
- Fixes get and set armor
- Fixed Inventory->removeItem()
- New way to spawn entities/tiles using a global register table, allow overriding default entity/tile classes via classes
- Added Error -> Exception handling
- Added extra Exceptions
- Fixed InventoryPickupItemEvent
- EntityDamageEvent and children now only fire if the attack is possible, moved event trigger to Entity->attack()
- Added InventoryPickupArrowEvent
- Fixed Event name being null
- Fixed some inventory events not firing on players
- Fire PlayerInteractEvent on 0xff face
- Added EntityDamageByChildEntityEvent
- Allow passing a Player source as last parameter on Inventory->addItem() and Inventory->removeItem()
- Return proper BlockIterator index, throw more exceptions, improved blockQueue performance
- Use proper indexes on Living->getLineOfSight() when a max length is set

**Fixes and additions:**
- Fixed inventory changes getting the wrong window, closes #2187
- Improved Level object deallocation
- Improved inventory and window allocation, fixes #2200
- Fixed entities not being pushed out of blocks
- Improved Player->onGround checking
- Improved Explosion item drop position
- Added explosion death message
- Fixed crash when doing var_dump() of anything that contains the Server object
- Removed extra ; from if, fixes #2205
- Possible fix for entities not closing correctly
- Fixed #2207 Server crashing if players are closed before logging in
- Fixed red sand not falling correctly
- Drop invalid entities / tile entities on chunk loading
- Fixed entities not getting ticks on movement
- Fixed /setworldspawn changing sender data
- Mark chunk to be saved when removing invalid entities/tiles
- Updated RakLib
- Improved network packets allocation
- Improve #2238, do not crash when an invalid/corrupt RCON stop event happens
- Disallow further modification of Signs by its creator after load/unload
- Added Snowballs
- Fixed UseItemPacket being able to be sent before spawning
- Fixed plugins crashing the server when teleporting players on an invalid event
- Use Player->forceMovement on MovePlayerPacket non-tick revert
- Added Entity->onGround setting when entities keep moving without checks
- Remove chunks from advanced cache after setting
- Fixed Trapdoor recipe
- Fixed Bowl recipe
- Fixed Stonecutter recipe
- Fixed Double Chest behavior
- Fixed Chest->unpair()
- Blocks now save their bounding box, fixed entity block collision check
- Added extra chunk sending timings
- Added preprocessor optimizations
- Fixed players not loading chunks when stuck on a unloaded chunk
- Optimized networking code & AxisAlignedBB
- Improved freeing chunks
- Fixed #2204
- Added packet exception handling
- Fixed crashing server not stopping
- Fixed Entity being set position after being closed
- Fixed Query-related crash
- Despawn entities correctly from clients as they move
- Improved level switching for players
- Added /time start and /time stop
- Fixed server not using the correct provided path if it did not exist
- Fixed random block updates not firing
- Updated timings command, give direct link to results
- Use SplFixedArray for improved performance
- Fixed player viewer list including themselves
- Improved inventory sending, send single slots instead of full inventory as much as possible
- Fixed unloading chunks
- Automatically set Entity / Tile entity save identifiers
- Added vertical and horizontal collision detection to Entities
- Fixed bonemeal recipe, closes #2260
- Fixed Snow block recipe
- Fixed String -> Wool recipe
- Fixed ladder recipe
- Fixed red sand smelting recipe
- Improved Level->getTile() to a direct lookup instead of linear search
- Reenabled collision against entities on move

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-834
**For Minecraft: PE v0.10.0 alpha**

**Main features:**
- Minecraft: PE v0.10 support!
- Fixed some crafting recipes
- Fixed some memory leaks
- Fixed issues with tile entities

**API changes**
- API 1.7.1
- Fixed PlayerInventory->setItem() with null items
- Fixed Level->getTile()

**Fixes and additions:**
- Bumped protocol version to 20
- Added different Fences, new Fence crafting recipes
- Added different Fence Gates, new Fence Gate crafting recipes
- Added new fences and fence gates to fuel types
- Updated UseItemPacket
- Updated time steps from x2.5 to x1.25
- Fixed Chunk tile indexes
- Get timezone directly. Fixes #2287.
- Bumped weakref version, fixes travis builds
- Fixed Acacia / Dark Oak logs crafting recipes
- Fixed version message color
- Fixed tile entities not being placed in the correct array
- Fixed permission-related memory leak
- Improved and fixed command exception message, closes #2301
- Fixed #1969
- Possible fix for #2297

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-842
**For Minecraft: PE v0.10.4 alpha**

**Main features:**
- Improved chunk loading
- Catch more exceptions and give extra debug messages
- Recreates / fixes corrupt chunks with a huge amount of tile entities

**API changes**
- Improved exception handling and debugging

**Fixes and additions:**
- Improved chunk loading/unloading
- Protect permission removal against bad plugins
- Remove duplicated tiles from chunk table automatically
- Regenerate corrupt player data if invalid data is found
- Catch corrupted chunk data errors
- Increased Fence, Fence Gate and Stone Wall Y bounding box
- Bumped Minecraft: PE version string
- Removed old trigger_error() calls, closes #2335
- Properly close inventory windows from Players
- Catch exceptions when chunks are unloaded
- Possible fix for #2267, #2314
- Improved player spawn item in hand sending
- Improved global entity motion encoding using per-player queues

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Issues with spawnpoint
- Entities / Entity AI
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-847
**For Minecraft: PE v0.10.4 alpha**

**Main features:**
- Fixed a crash introduced on the last beta
- Improved inventory handling

**API changes**
- Fixed Inventory->addItem()
- Removed unused Block->isLiquid property

**Fixes and additions:**
- Fixed #2340
- Improved Inventory->addItem(), fixed breaking containers duplicating the last slot, removed not necessary slot changes
- Fixed ladder crafting recipe

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-855
**For Minecraft: PE v0.10.4 alpha**

This version has API changes, some additions and fixes, bumping the version to 1.8.0. These changes are detailed below.

**Main features:**
- Fixed some duplication issues
- Added light spreading
- Less glitched PlayerMoveEvent handling by plugins

**API changes**
- API 1.8.0
- Added Level->getFullLight()
- Updated player movement processing and event handling

**Fixes and additions:**
- Fixed armor dropping twice
- Fixed invalid worlds property being set by users
- Removed temporal pthreads workaround
- Implemented light population
- Removed old revert flag from Player->processMovement()
- Enabled batch block sending again

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No support for LevelDB worlds (0.9.0 format)
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-900
**For Minecraft: PE v0.10.4 alpha**

This version has API changes, some additions and fixes, bumping the version to 1.9.0. These changes are detailed below.

**Main features:**
- Global optimizations
- New block/item creation and handling system
- Multiple non-ordered hotbar slots
- Added death animations
- Updated RakLib: proper recovery queues and packet reordering
- Experimental LevelDB worlds support

**API changes**
- API 1.9.0
- Added internal use warning for TaskHandler::cancel()
- Implemented no damage ticks
- Added Config->getNested(key) and Config->setNested(key, value)
- Added HeightMap get/set methods on chunks, Level
- Do not quiet error messages when parsing config files
- Added Level->getFullBlock()
- Added FullChunk->getFullBlock()
- Added Chunk->getFullBlock()
- Added ChunkSection->getFullBlock()
- Deprecated FullChunk->getBlock()
- Deprecated Chunk->getBlock()
- Deprecated ChunkSection->getBlock()
- Added trait autoloading
- Fixed #2392
- Fixed #2394
- Allow $base in knockback() to be dynamic and getters/setters in EntityDamageByEntityEvent
- Update documentation of PluginBase::getCommand() for IDEs' auto completion
- Added default parameter to Config getters, implements #2398
- Added optional parameter for multiple NBT read

**Fixes and additions:**
- Change last X/Y/Z/Yaw/Pitch on teleport
- Added armor items and max stack size for them.
- Force player setting their new position
- Block creating and property handling rewrite
- Fix CPU issue when starting without STDIN
- Use squared distance on movement handling
- Renamed old getID() calls to getId()
- Improved Item property handling
- Handle a hotbar queue to allow using more than the first slot (won't save order due to the protocol)
- Collect unallocated chunks from the Level provider
- Faster Level provider chunk unloading
- Improved block reading
- Created global block states array
- Improved Level->getBlock() using block states
- Improved Level->getBlock() for 64-bit systems
- Better block creation on Level
- Added Player death animations, improved spawning behavior to correct invisible players, fixed players getting stuck when dead, closes #2304
- Replaced some instanceof to null checks
- Fixed players not getting sound when they are harmed
- Level optimization, added new chunk/block hashes
- Optimized Liquid spreading, optimized light updates, improved side block get/update, fixed raw set not cleaning Block cache (TNT explosions)
- Updated RakLib: Implemented packet reordering, fixed packet recovery in both sides, errors are now debug level, workarounds possible CPU-hog DoS attack over ACK/NACK packets
- Changed some Entity move AABB calls
- Snow layer recipe added: Fix for #2400
- Added World Generation timings
- Added experimental LevelDB support, fixed a few issues with NBT, spawning and Binary R/W
- Fixed #2423
- Added Double Plant block, fixes damage walking inside it.
- Added Chest recreation on imported levels
- Fixed possible memory leak when hiding players from each other
- Fixed server.log created in two different places on path changed
- Increased transaction timeout, not needed anymore due to packet ordering
- Improved block breaking time and event handling

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4dev-916
**For Minecraft: PE v0.10.4 alpha**

This version has API changes, bumping the version to 1.10.0. These changes are detailed below.

**Main features:**
- New version format (drops the stage part)
- Added automatic/manual IP blocking
- Increased chunk defaults
- Improved speed of several generation steps
- Fixed some memory leaks on 32-bit hosts
- Improved exception handling and trace creation

**API changes**
- API 1.10.0
- Changed RakLib network interface implementation

**Fixes and additions:**
- Bitmask block state
- New version format
- Possible workaround for some PHP bug related to resources and threads
- Players won't take damage 60 ticks after spawning / respawning.
- Fixed #2446
- Added automatic/manual RakLib IP address, block addresses when exceptions are thrown
- Move Query exceptions to debug level > 1
- Block IP addresses on ban-ip
- Added typehints to HelpCommand
- Corrected fence crafting recipes, closes #2457
- Improved Normal generator speed
- Fixed memory leak issues on chunk generation under 32-bit hosts. Closes #2419, fixes #2308
- Fixed issue with generated chunks not having a provider. Closes #2421
- Higher chunk defaults
- Improved Simplex 2D noise
- Added chunk check on Level
- Detect really big corrupted chunks, closes #2471
- Improved exception handling and trace creation
- Fixed players not calculating onGround correctly

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4.0
**For Minecraft: PE v0.10.4 alpha**

This is the first stable build of PocketMine-MP 1.4. Lots of changes have happened since 1.3.12, and they won't be detailed here. You can find them on the release list here on GitHub.

Old worlds won't be converted automatically, and you can find it lacking some features. These will be implemented in a future update, as the release was pushed ahead due to the old "stable" release being completely outdated and no features being offered by it.

This version has API changes, bumping the version to 1.10.0. These changes are detailed below.

**Main features:**
- New version format (drops the stage part)
- Added automatic/manual IP blocking
- Increased chunk defaults
- Improved speed of several generation steps
- Fixed some memory leaks on 32-bit hosts
- Improved exception handling and trace creation

**API changes**
- API 1.10.0
- Changed RakLib network interface implementation

**Fixes and additions:**
- Bitmask block state
- New version format
- Possible workaround for some PHP bug related to resources and threads
- Players won't take damage 60 ticks after spawning / respawning.
- Fixed #2446
- Added automatic/manual RakLib IP address, block addresses when exceptions are thrown
- Move Query exceptions to debug level > 1
- Block IP addresses on ban-ip
- Added typehints to HelpCommand
- Corrected fence crafting recipes, closes #2457
- Improved Normal generator speed
- Fixed memory leak issues on chunk generation under 32-bit hosts. Closes #2419, fixes #2308
- Fixed issue with generated chunks not having a provider. Closes #2421
- Higher chunk defaults
- Improved Simplex 2D noise
- Added chunk check on Level
- Detect really big corrupted chunks, closes #2471
- Improved exception handling and trace creation
- Fixed players not calculating onGround correctly

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4.1dev-936
**For Minecraft: PE v0.10.4 alpha**

This version has API changes, bumping the version to 1.11.0, and it won't be bumped again until a stable build is released. These changes are detailed below.

**Main features:**
- Improved chunk saving and reduced world corruption
- Fixed some strange crashes on broken systems
- Improved movement and block placing
- Automatic resource freeing on Region-based worlds

**API changes**
- API 1.11.0
- Added PlayerCreationEvent
- Added Level->getChunks(), fixed some Doc Comments
- Added Async Task crash warning
- Fixed issue where plugins schedule a Player update before log in

**Fixes and additions:**
- Improved threading and resource usage, new defaults
- Removed all @mkdir() calls
- Catch exceptions on level generation
- Fixed some crashes related to crashing
- Fixed messages and default settings
- Fixed #2488 Player suffocates when putting blocks to climb higher
- Fixed #2489 Falling Sand drops as an item when not expected
- Cleaned up BanEntry creation
- Fixed phar check
- Fixed visual typo in /ban-ip, closes #2503
- Improved chunk saving times by not marking it as changed when Players are added/removed
- Fixed #2511
- Catch more corruption issues in Region-based worlds, fixed first chunk being generated on an invalid sector
- Fixed Entities being placed in recreated chunks
- Fixed Flat generator on existing chunks, region issues
- Unload unused regions after 5 minutes
- Improved file resource usage
- Added GarbageCollectionTask, workaround for weird PHP behaviour when using --disable-ansi

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator

# 1.4.1
**For Minecraft: PE v0.10.5 alpha**

This version has API changes, bumping the version to 1.11.0, and it won't be bumped again until a stable build is released. These changes are detailed below.

**Main features:**
- Improved chunk saving and reduced world corruption
- Fixed some strange crashes on broken systems
- Improved movement and block placing
- Automatic resource freeing on Region-based worlds
- Ignore spawn protection when no ops are set
- Improved flight cheat protection
- Fixed chunk corruptions

**API changes**
- API 1.11.0
- Added PlayerCreationEvent
- Added Level->getChunks(), fixed some Doc Comments
- Added Async Task crash warning
- Fixed issue where plugins schedule a Player update before log in
- Added new predictive flight protection
- Added Location::__toString()
- Added Entity->resetFallDistance()
- Fixed #2619 BlockMetadataStore
- Added Entity->fastMove() for players and direct-controlled entities
- Implemented Threaded ClassLoader, improves class loading while on different threads (no need to synchronize states)
- Allow plugins to cancel some kicks better, closes #2743

**Fixes and additions:**
- Improved threading and resource usage, new defaults
- Removed all @mkdir() calls
- Implemented proportional armor modifier, applied armor in other damage types and consume armor when player is damaged
- Implemented hardcore banning, closes #2574
- Implemented double chest fix, closes #2744, fixes #2493
- Catch exceptions on level generation
- Changed generator choosing logic, add proper preset if needed, fixes #2751
- Fixed some crashes related to crashing
- Fixed messages and default settings
- Fixed #2488 Player suffocates when putting blocks to climb higher
- Fixed #2489 Falling Sand drops as an item when not expected
- Cleaned up BanEntry creation
- Fixed phar check
- Fixed visual typo in /ban-ip, closes #2503
- Improved chunk saving times by not marking it as changed when Players are added/removed
- Fixed #2511
- Catch more corruption issues in Region-based worlds, fixed first chunk being generated on an invalid sector
- Fixed Entities being placed in recreated chunks
- Fixed Flat generator on existing chunks, region issues
- Unload unused regions after 5 minutes
- Improved file resource usage
- Added GarbageCollectionTask, workaround for weird PHP behaviour when using --disable-ansi
- Fixed /timings off
- Fixed fences not showing up
- Improved chunk ticking
- Block saving chunks too big
- Changed max speed per tick from 100 to 10 blocks
- Added outdated event static properties
- Allow placing Snow Layers on top of solid transparent blocks
- Fixed PHPRC env. variable being set
- Throw exception when RakLib crashes
- Added rotation transformations to remaining packet
- Fixed #2557
- Fixed #2541 server not saving chunks on chunk unloading
- Return on Level->getSafeSpawn() in case of invalid position
- Fixed #2565
- Falling sand will become block when in contact with a Liquid
- Fixed Iron bar, Stonecutter drops
- TallGrass blocks should be only placed on grass blocks
- Fixed #2615
- Fixed players getting kicked for flying when going through special blocks
- Future workaround for #2626
- Catch file saving exceptions
- Added basic speed protection
- Fixed Dark Oak Fence's name
- Fixed #2762
- Fixed Anvil lighting issues
- Fix some Chunk corruption due to Chunk overlap
- Fixed constructors, default memory to -1, default async generator
- Fixed NBT IntArray off-by-one reading
- Fixed falling sand breaking on full BB partial blocks, closes #2770

**Not implemented or known issues:**
Please do not report lacking features to the bug tracker, only report bugs on implemented features.
- Entities / Entity AI
- No conversion for old levels (will be added later)
- No Minecarts
- Not all items are implemented
- Generated worlds use a basic generator
