**For Minecraft: Bedrock Edition 1.18.30**

### Note about API versions
Plugins which don't touch the protocol and compatible with any previous 4.x.y version will also run on these releases and do not need API bumps.
Plugin developers should **only** update their required API to this version if you need the changes in this build.

**WARNING: If your plugin uses the protocol, you're not shielded by API change constraints.** You should consider using the `mcpe-protocol` directive in `plugin.yml` as a constraint if you do.

# 4.3.0
Released 20th April 2022.

## General
- Added support for Minecraft: Bedrock Edition 1.18.30.
- Removed support for older versions.

# 4.3.1
Released 23rd April 2022.

## Fixes
- Updated BedrockProtocol dependency to fix incorrect command argument types.
- Creative players no longer die in the void.

# 4.3.2
Released 10th May 2022.

## Fixes
- Fixed an assertion failure in certain edge cases during world generation.
- Fixed `Entity::setNameTagVisible()` not immediately showing results to players already online.

## Documentation
- Added more documentation in the template `pocketmine.yml` for the `aliases` config section.
- Removed useless doc comment in `PlayerChangeSkinEvent`.

# 4.3.3
Released 16th May 2022.

## General
- Improved display of parameters in exception stack trace logs.
- Exception stack traces now include names for dynamic named arguments (i.e. arguments that don't match any parameter of the function), if any were given.
  - Note: Named arguments which do match parameters are not shown this way, since PHP reduces them to positional arguments for performance reasons.

## Fixes
- Fixed server crash when chunks are unloaded during chunk generation callbacks
- Fixed dead coral fan items placing coral fans in the wrong orientation.
- Fixed max stack size of boat items.

# 4.3.4
Released 22nd May 2022.

## Fixes
- Fixed `difficulty` in `server.properties` having no effect - it's now applied to newly generated worlds.
  - Note: this setting still doesn't behave the same way as vanilla due to potential disruption to existing servers.
- Fixed paintings not working in newly generated worlds and some other cases.
- Fixed inventory window switching breaking the inventory UI in some cases (e.g. pressing E while clicking a chest).
- Fixed minecart items incorrectly stacking.
- Fixed incorrect light levels in translucent blocks at the top of the world.
- Fixed teleporting sleeping players causing broken behaviour on the sleeping player's client.
- Fixed `EntityExplodeEvent->setYield()` accepting values outside the range 0-100.
- Fixed `ExplosionPrimeEvent->setForce()` accepting negative values (later resulting in crashes).

## Documentation
- Updated documentation for the following events:
  - `CommandEvent`
  - `EntityDespawnEvent`
  - `EntityExplodeEvent`
  - `EntitySpawnEvent`
  - `ExplosionPrimeEvent`
  - `InventoryTransactionEvent`
  - `ItemDespawnEvent`
  - `ItemSpawnEvent`
  - `PlayerCommandPreprocessEvent`
  - `PlayerDropItemEvent`
  - `PlayerItemHeldEvent`
  - `PlayerKickEvent`
  - `PlayerQuitEvent`
  - `PlayerTransferEvent`
  - `UpdateNotifyEvent`
