<?php

/*
 *
 *  ____            _        _   __  __ _                  __  __ ____
 * |  _ \ ___   ___| | _____| |_|  \/  (_)_ __   ___      |  \/  |  _ \
 * | |_) / _ \ / __| |/ / _ \ __| |\/| | | '_ \ / _ \_____| |\/| | |_) |
 * |  __/ (_) | (__|   <  __/ |_| |  | | | | | |  __/_____| |  | |  __/
 * |_|   \___/ \___|_|\_\___|\__|_|  |_|_|_| |_|\___|     |_|  |_|_|
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * @author PocketMine Team
 * @link http://www.pocketmine.net/
 *
 *
 */

declare(strict_types=1);

namespace pocketmine\item;

final class ItemIds{

	private function __construct(){
		//NOOP
	}

	public const LIT_BLAST_FURNACE = -214;
	public const COMPOSTER = -213;
	public const WOOD = -212;
	public const JIGSAW = -211;
	public const LAVA_CAULDRON = -210;
	public const CAMPFIRE = -209;
	public const LANTERN = -208;
	public const SWEET_BERRY_BUSH = -207;
	public const BELL = -206;

	public const LOOM = -204;
	public const BARREL = -203;
	public const SMITHING_TABLE = -202;
	public const FLETCHING_TABLE = -201;
	public const CARTOGRAPHY_TABLE = -200;
	public const LIT_SMOKER = -199;
	public const SMOKER = -198;
	public const STONECUTTER_BLOCK = -197;
	public const BLAST_FURNACE = -196;
	public const GRINDSTONE = -195;
	public const LECTERN = -194;
	public const DARKOAK_WALL_SIGN = -193;
	public const DARKOAK_STANDING_SIGN = -192;
	public const ACACIA_WALL_SIGN = -191;
	public const ACACIA_STANDING_SIGN = -190;
	public const JUNGLE_WALL_SIGN = -189;
	public const JUNGLE_STANDING_SIGN = -188;
	public const BIRCH_WALL_SIGN = -187;
	public const BIRCH_STANDING_SIGN = -186;
	public const SMOOTH_QUARTZ_STAIRS = -185;
	public const RED_NETHER_BRICK_STAIRS = -184;
	public const SMOOTH_STONE = -183;
	public const SPRUCE_WALL_SIGN = -182;
	public const SPRUCE_STANDING_SIGN = -181;
	public const NORMAL_STONE_STAIRS = -180;
	public const MOSSY_COBBLESTONE_STAIRS = -179;
	public const END_BRICK_STAIRS = -178;
	public const SMOOTH_SANDSTONE_STAIRS = -177;
	public const SMOOTH_RED_SANDSTONE_STAIRS = -176;
	public const MOSSY_STONE_BRICK_STAIRS = -175;
	public const POLISHED_ANDESITE_STAIRS = -174;
	public const POLISHED_DIORITE_STAIRS = -173;
	public const POLISHED_GRANITE_STAIRS = -172;
	public const ANDESITE_STAIRS = -171;
	public const DIORITE_STAIRS = -170;
	public const GRANITE_STAIRS = -169;
	public const DOUBLE_STONE_SLAB4 = -168;
	public const DOUBLE_STONE_SLAB3 = -167;
	public const STONE_SLAB4 = -166;
	public const SCAFFOLDING = -165;
	public const BAMBOO_SAPLING = -164;
	public const BAMBOO = -163;
	public const STONE_SLAB3 = -162;
	public const BARRIER = -161;
	public const BUBBLE_COLUMN = -160;
	public const TURTLE_EGG = -159;

	public const CONDUIT = -157;
	public const SEA_PICKLE = -156;
	public const CARVED_PUMPKIN = -155;
	public const SPRUCE_PRESSURE_PLATE = -154;
	public const JUNGLE_PRESSURE_PLATE = -153;
	public const DARK_OAK_PRESSURE_PLATE = -152;
	public const BIRCH_PRESSURE_PLATE = -151;
	public const ACACIA_PRESSURE_PLATE = -150;
	public const SPRUCE_TRAPDOOR = -149;
	public const JUNGLE_TRAPDOOR = -148;
	public const DARK_OAK_TRAPDOOR = -147;
	public const BIRCH_TRAPDOOR = -146;
	public const ACACIA_TRAPDOOR = -145;
	public const SPRUCE_BUTTON = -144;
	public const JUNGLE_BUTTON = -143;
	public const DARK_OAK_BUTTON = -142;
	public const BIRCH_BUTTON = -141;
	public const ACACIA_BUTTON = -140;
	public const DRIED_KELP_BLOCK = -139;
	public const KELP_BLOCK = -138;
	public const CORAL_FAN_HANG3 = -137;
	public const CORAL_FAN_HANG2 = -136;
	public const CORAL_FAN_HANG = -135;
	public const CORAL_FAN_DEAD = -134;
	public const CORAL_FAN = -133;
	public const CORAL_BLOCK = -132;
	public const CORAL = -131;
	public const SEAGRASS = -130;
	public const ELEMENT_118 = -129;
	public const ELEMENT_117 = -128;
	public const ELEMENT_116 = -127;
	public const ELEMENT_115 = -126;
	public const ELEMENT_114 = -125;
	public const ELEMENT_113 = -124;
	public const ELEMENT_112 = -123;
	public const ELEMENT_111 = -122;
	public const ELEMENT_110 = -121;
	public const ELEMENT_109 = -120;
	public const ELEMENT_108 = -119;
	public const ELEMENT_107 = -118;
	public const ELEMENT_106 = -117;
	public const ELEMENT_105 = -116;
	public const ELEMENT_104 = -115;
	public const ELEMENT_103 = -114;
	public const ELEMENT_102 = -113;
	public const ELEMENT_101 = -112;
	public const ELEMENT_100 = -111;
	public const ELEMENT_99 = -110;
	public const ELEMENT_98 = -109;
	public const ELEMENT_97 = -108;
	public const ELEMENT_96 = -107;
	public const ELEMENT_95 = -106;
	public const ELEMENT_94 = -105;
	public const ELEMENT_93 = -104;
	public const ELEMENT_92 = -103;
	public const ELEMENT_91 = -102;
	public const ELEMENT_90 = -101;
	public const ELEMENT_89 = -100;
	public const ELEMENT_88 = -99;
	public const ELEMENT_87 = -98;
	public const ELEMENT_86 = -97;
	public const ELEMENT_85 = -96;
	public const ELEMENT_84 = -95;
	public const ELEMENT_83 = -94;
	public const ELEMENT_82 = -93;
	public const ELEMENT_81 = -92;
	public const ELEMENT_80 = -91;
	public const ELEMENT_79 = -90;
	public const ELEMENT_78 = -89;
	public const ELEMENT_77 = -88;
	public const ELEMENT_76 = -87;
	public const ELEMENT_75 = -86;
	public const ELEMENT_74 = -85;
	public const ELEMENT_73 = -84;
	public const ELEMENT_72 = -83;
	public const ELEMENT_71 = -82;
	public const ELEMENT_70 = -81;
	public const ELEMENT_69 = -80;
	public const ELEMENT_68 = -79;
	public const ELEMENT_67 = -78;
	public const ELEMENT_66 = -77;
	public const ELEMENT_65 = -76;
	public const ELEMENT_64 = -75;
	public const ELEMENT_63 = -74;
	public const ELEMENT_62 = -73;
	public const ELEMENT_61 = -72;
	public const ELEMENT_60 = -71;
	public const ELEMENT_59 = -70;
	public const ELEMENT_58 = -69;
	public const ELEMENT_57 = -68;
	public const ELEMENT_56 = -67;
	public const ELEMENT_55 = -66;
	public const ELEMENT_54 = -65;
	public const ELEMENT_53 = -64;
	public const ELEMENT_52 = -63;
	public const ELEMENT_51 = -62;
	public const ELEMENT_50 = -61;
	public const ELEMENT_49 = -60;
	public const ELEMENT_48 = -59;
	public const ELEMENT_47 = -58;
	public const ELEMENT_46 = -57;
	public const ELEMENT_45 = -56;
	public const ELEMENT_44 = -55;
	public const ELEMENT_43 = -54;
	public const ELEMENT_42 = -53;
	public const ELEMENT_41 = -52;
	public const ELEMENT_40 = -51;
	public const ELEMENT_39 = -50;
	public const ELEMENT_38 = -49;
	public const ELEMENT_37 = -48;
	public const ELEMENT_36 = -47;
	public const ELEMENT_35 = -46;
	public const ELEMENT_34 = -45;
	public const ELEMENT_33 = -44;
	public const ELEMENT_32 = -43;
	public const ELEMENT_31 = -42;
	public const ELEMENT_30 = -41;
	public const ELEMENT_29 = -40;
	public const ELEMENT_28 = -39;
	public const ELEMENT_27 = -38;
	public const ELEMENT_26 = -37;
	public const ELEMENT_25 = -36;
	public const ELEMENT_24 = -35;
	public const ELEMENT_23 = -34;
	public const ELEMENT_22 = -33;
	public const ELEMENT_21 = -32;
	public const ELEMENT_20 = -31;
	public const ELEMENT_19 = -30;
	public const ELEMENT_18 = -29;
	public const ELEMENT_17 = -28;
	public const ELEMENT_16 = -27;
	public const ELEMENT_15 = -26;
	public const ELEMENT_14 = -25;
	public const ELEMENT_13 = -24;
	public const ELEMENT_12 = -23;
	public const ELEMENT_11 = -22;
	public const ELEMENT_10 = -21;
	public const ELEMENT_9 = -20;
	public const ELEMENT_8 = -19;
	public const ELEMENT_7 = -18;
	public const ELEMENT_6 = -17;
	public const ELEMENT_5 = -16;
	public const ELEMENT_4 = -15;
	public const ELEMENT_3 = -14;
	public const ELEMENT_2 = -13;
	public const ELEMENT_1 = -12;
	public const BLUE_ICE = -11;
	public const STRIPPED_OAK_LOG = -10;
	public const STRIPPED_DARK_OAK_LOG = -9;
	public const STRIPPED_ACACIA_LOG = -8;
	public const STRIPPED_JUNGLE_LOG = -7;
	public const STRIPPED_BIRCH_LOG = -6;
	public const STRIPPED_SPRUCE_LOG = -5;
	public const PRISMARINE_BRICKS_STAIRS = -4;
	public const DARK_PRISMARINE_STAIRS = -3;
	public const PRISMARINE_STAIRS = -2;

	public const AIR = 0;
	public const STONE = 1;
	public const GRASS = 2;
	public const DIRT = 3;
	public const COBBLESTONE = 4;
	public const PLANKS = 5, WOODEN_PLANKS = 5;
	public const SAPLING = 6;
	public const BEDROCK = 7;
	public const FLOWING_WATER = 8;
	public const STILL_WATER = 9, WATER = 9;
	public const FLOWING_LAVA = 10;
	public const LAVA = 11, STILL_LAVA = 11;
	public const SAND = 12;
	public const GRAVEL = 13;
	public const GOLD_ORE = 14;
	public const IRON_ORE = 15;
	public const COAL_ORE = 16;
	public const LOG = 17;
	public const LEAVES = 18;
	public const SPONGE = 19;
	public const GLASS = 20;
	public const LAPIS_ORE = 21;
	public const LAPIS_BLOCK = 22;
	public const DISPENSER = 23;
	public const SANDSTONE = 24;
	public const NOTEBLOCK = 25, NOTE_BLOCK = 25;
	public const BED_BLOCK = 26;
	public const GOLDEN_RAIL = 27, POWERED_RAIL = 27;
	public const DETECTOR_RAIL = 28;
	public const STICKY_PISTON = 29;
	public const COBWEB = 30, WEB = 30;
	public const TALLGRASS = 31, TALL_GRASS = 31;
	public const DEADBUSH = 32, DEAD_BUSH = 32;
	public const PISTON = 33;
	public const PISTONARMCOLLISION = 34, PISTON_ARM_COLLISION = 34;
	public const WOOL = 35;
	public const ELEMENT_0 = 36;
	public const DANDELION = 37, YELLOW_FLOWER = 37;
	public const POPPY = 38, RED_FLOWER = 38;
	public const BROWN_MUSHROOM = 39;
	public const RED_MUSHROOM = 40;
	public const GOLD_BLOCK = 41;
	public const IRON_BLOCK = 42;
	public const DOUBLE_STONE_SLAB = 43;
	public const STONE_SLAB = 44;
	public const BRICK_BLOCK = 45;
	public const TNT = 46;
	public const BOOKSHELF = 47;
	public const MOSSY_COBBLESTONE = 48, MOSS_STONE = 48;
	public const OBSIDIAN = 49;
	public const TORCH = 50;
	public const FIRE = 51;
	public const MOB_SPAWNER = 52, MONSTER_SPAWNER = 52;
	public const OAK_STAIRS = 53, WOODEN_STAIRS = 53;
	public const CHEST = 54;
	public const REDSTONE_WIRE = 55;
	public const DIAMOND_ORE = 56;
	public const DIAMOND_BLOCK = 57;
	public const CRAFTING_TABLE = 58, WORKBENCH = 58;
	public const WHEAT_BLOCK = 59;
	public const FARMLAND = 60;
	public const FURNACE = 61;
	public const BURNING_FURNACE = 62, LIT_FURNACE = 62;
	public const SIGN_POST = 63, STANDING_SIGN = 63;
	public const OAK_DOOR_BLOCK = 64, WOODEN_DOOR_BLOCK = 64;
	public const LADDER = 65;
	public const RAIL = 66;
	public const COBBLESTONE_STAIRS = 67, STONE_STAIRS = 67;
	public const WALL_SIGN = 68;
	public const LEVER = 69;
	public const STONE_PRESSURE_PLATE = 70;
	public const IRON_DOOR_BLOCK = 71;
	public const WOODEN_PRESSURE_PLATE = 72;
	public const REDSTONE_ORE = 73;
	public const GLOWING_REDSTONE_ORE = 74, LIT_REDSTONE_ORE = 74;
	public const UNLIT_REDSTONE_TORCH = 75;
	public const LIT_REDSTONE_TORCH = 76, REDSTONE_TORCH = 76;
	public const STONE_BUTTON = 77;
	public const SNOW_LAYER = 78;
	public const ICE = 79;
	public const SNOW = 80, SNOW_BLOCK = 80;
	public const CACTUS = 81;
	public const CLAY_BLOCK = 82;
	public const REEDS_BLOCK = 83, SUGARCANE_BLOCK = 83;
	public const JUKEBOX = 84;
	public const FENCE = 85;
	public const PUMPKIN = 86;
	public const NETHERRACK = 87;
	public const SOUL_SAND = 88;
	public const GLOWSTONE = 89;
	public const PORTAL = 90;
	public const JACK_O_LANTERN = 91, LIT_PUMPKIN = 91;
	public const CAKE_BLOCK = 92;
	public const REPEATER_BLOCK = 93, UNPOWERED_REPEATER = 93;
	public const POWERED_REPEATER = 94;
	public const INVISIBLEBEDROCK = 95, INVISIBLE_BEDROCK = 95;
	public const TRAPDOOR = 96, WOODEN_TRAPDOOR = 96;
	public const MONSTER_EGG = 97;
	public const STONEBRICK = 98, STONE_BRICK = 98, STONE_BRICKS = 98;
	public const BROWN_MUSHROOM_BLOCK = 99;
	public const RED_MUSHROOM_BLOCK = 100;
	public const IRON_BARS = 101;
	public const GLASS_PANE = 102;
	public const MELON_BLOCK = 103;
	public const PUMPKIN_STEM = 104;
	public const MELON_STEM = 105;
	public const VINE = 106, VINES = 106;
	public const FENCE_GATE = 107, OAK_FENCE_GATE = 107;
	public const BRICK_STAIRS = 108;
	public const STONE_BRICK_STAIRS = 109;
	public const MYCELIUM = 110;
	public const LILY_PAD = 111, WATERLILY = 111, WATER_LILY = 111;
	public const NETHER_BRICK_BLOCK = 112;
	public const NETHER_BRICK_FENCE = 113;
	public const NETHER_BRICK_STAIRS = 114;
	public const NETHER_WART_PLANT = 115;
	public const ENCHANTING_TABLE = 116, ENCHANTMENT_TABLE = 116;
	public const BREWING_STAND_BLOCK = 117;
	public const CAULDRON_BLOCK = 118;
	public const END_PORTAL = 119;
	public const END_PORTAL_FRAME = 120;
	public const END_STONE = 121;
	public const DRAGON_EGG = 122;
	public const REDSTONE_LAMP = 123;
	public const LIT_REDSTONE_LAMP = 124;
	public const DROPPER = 125;
	public const ACTIVATOR_RAIL = 126;
	public const COCOA = 127, COCOA_BLOCK = 127;
	public const SANDSTONE_STAIRS = 128;
	public const EMERALD_ORE = 129;
	public const ENDER_CHEST = 130;
	public const TRIPWIRE_HOOK = 131;
	public const TRIPWIRE = 132, TRIP_WIRE = 132;
	public const EMERALD_BLOCK = 133;
	public const SPRUCE_STAIRS = 134;
	public const BIRCH_STAIRS = 135;
	public const JUNGLE_STAIRS = 136;
	public const COMMAND_BLOCK = 137;
	public const BEACON = 138;
	public const COBBLESTONE_WALL = 139, STONE_WALL = 139;
	public const FLOWER_POT_BLOCK = 140;
	public const CARROTS = 141, CARROT_BLOCK = 141;
	public const POTATOES = 142, POTATO_BLOCK = 142;
	public const WOODEN_BUTTON = 143;
	public const MOB_HEAD_BLOCK = 144, SKULL_BLOCK = 144;
	public const ANVIL = 145;
	public const TRAPPED_CHEST = 146;
	public const LIGHT_WEIGHTED_PRESSURE_PLATE = 147;
	public const HEAVY_WEIGHTED_PRESSURE_PLATE = 148;
	public const COMPARATOR_BLOCK = 149, UNPOWERED_COMPARATOR = 149;
	public const POWERED_COMPARATOR = 150;
	public const DAYLIGHT_DETECTOR = 151, DAYLIGHT_SENSOR = 151;
	public const REDSTONE_BLOCK = 152;
	public const NETHER_QUARTZ_ORE = 153, QUARTZ_ORE = 153;
	public const HOPPER_BLOCK = 154;
	public const QUARTZ_BLOCK = 155;
	public const QUARTZ_STAIRS = 156;
	public const DOUBLE_WOODEN_SLAB = 157;
	public const WOODEN_SLAB = 158;
	public const STAINED_CLAY = 159, STAINED_HARDENED_CLAY = 159, TERRACOTTA = 159;
	public const STAINED_GLASS_PANE = 160;
	public const LEAVES2 = 161;
	public const LOG2 = 162;
	public const ACACIA_STAIRS = 163;
	public const DARK_OAK_STAIRS = 164;
	public const SLIME = 165, SLIME_BLOCK = 165;
	public const GLOW_STICK = 166;
	public const IRON_TRAPDOOR = 167;
	public const PRISMARINE = 168;
	public const SEALANTERN = 169, SEA_LANTERN = 169;
	public const HAY_BALE = 170, HAY_BLOCK = 170;
	public const CARPET = 171;
	public const HARDENED_CLAY = 172;
	public const COAL_BLOCK = 173;
	public const PACKED_ICE = 174;
	public const DOUBLE_PLANT = 175;
	public const STANDING_BANNER = 176;
	public const WALL_BANNER = 177;
	public const DAYLIGHT_DETECTOR_INVERTED = 178, DAYLIGHT_SENSOR_INVERTED = 178;
	public const RED_SANDSTONE = 179;
	public const RED_SANDSTONE_STAIRS = 180;
	public const DOUBLE_STONE_SLAB2 = 181;
	public const STONE_SLAB2 = 182;
	public const SPRUCE_FENCE_GATE = 183;
	public const BIRCH_FENCE_GATE = 184;
	public const JUNGLE_FENCE_GATE = 185;
	public const DARK_OAK_FENCE_GATE = 186;
	public const ACACIA_FENCE_GATE = 187;
	public const REPEATING_COMMAND_BLOCK = 188;
	public const CHAIN_COMMAND_BLOCK = 189;
	public const HARD_GLASS_PANE = 190;
	public const HARD_STAINED_GLASS_PANE = 191;
	public const CHEMICAL_HEAT = 192;
	public const SPRUCE_DOOR_BLOCK = 193;
	public const BIRCH_DOOR_BLOCK = 194;
	public const JUNGLE_DOOR_BLOCK = 195;
	public const ACACIA_DOOR_BLOCK = 196;
	public const DARK_OAK_DOOR_BLOCK = 197;
	public const GRASS_PATH = 198;
	public const FRAME_BLOCK = 199, ITEM_FRAME_BLOCK = 199;
	public const CHORUS_FLOWER = 200;
	public const PURPUR_BLOCK = 201;
	public const COLORED_TORCH_RG = 202;
	public const PURPUR_STAIRS = 203;
	public const COLORED_TORCH_BP = 204;
	public const UNDYED_SHULKER_BOX = 205;
	public const END_BRICKS = 206;
	public const FROSTED_ICE = 207;
	public const END_ROD = 208;
	public const END_GATEWAY = 209;

	public const MAGMA = 213;
	public const NETHER_WART_BLOCK = 214;
	public const RED_NETHER_BRICK = 215;
	public const BONE_BLOCK = 216;

	public const SHULKER_BOX = 218;
	public const PURPLE_GLAZED_TERRACOTTA = 219;
	public const WHITE_GLAZED_TERRACOTTA = 220;
	public const ORANGE_GLAZED_TERRACOTTA = 221;
	public const MAGENTA_GLAZED_TERRACOTTA = 222;
	public const LIGHT_BLUE_GLAZED_TERRACOTTA = 223;
	public const YELLOW_GLAZED_TERRACOTTA = 224;
	public const LIME_GLAZED_TERRACOTTA = 225;
	public const PINK_GLAZED_TERRACOTTA = 226;
	public const GRAY_GLAZED_TERRACOTTA = 227;
	public const SILVER_GLAZED_TERRACOTTA = 228;
	public const CYAN_GLAZED_TERRACOTTA = 229;

	public const BLUE_GLAZED_TERRACOTTA = 231;
	public const BROWN_GLAZED_TERRACOTTA = 232;
	public const GREEN_GLAZED_TERRACOTTA = 233;
	public const RED_GLAZED_TERRACOTTA = 234;
	public const BLACK_GLAZED_TERRACOTTA = 235;
	public const CONCRETE = 236;
	public const CONCRETEPOWDER = 237, CONCRETE_POWDER = 237;
	public const CHEMISTRY_TABLE = 238;
	public const UNDERWATER_TORCH = 239;
	public const CHORUS_PLANT = 240;
	public const STAINED_GLASS = 241;

	public const PODZOL = 243;
	public const BEETROOT_BLOCK = 244;
	public const STONECUTTER = 245;
	public const GLOWINGOBSIDIAN = 246, GLOWING_OBSIDIAN = 246;
	public const NETHERREACTOR = 247, NETHER_REACTOR = 247;
	public const INFO_UPDATE = 248;
	public const INFO_UPDATE2 = 249;
	public const MOVINGBLOCK = 250, MOVING_BLOCK = 250;
	public const OBSERVER = 251;
	public const STRUCTURE_BLOCK = 252;
	public const HARD_GLASS = 253;
	public const HARD_STAINED_GLASS = 254;
	public const RESERVED6 = 255;
	public const IRON_SHOVEL = 256;
	public const IRON_PICKAXE = 257;
	public const IRON_AXE = 258;
	public const FLINT_AND_STEEL = 259, FLINT_STEEL = 259;
	public const APPLE = 260;
	public const BOW = 261;
	public const ARROW = 262;
	public const COAL = 263;
	public const DIAMOND = 264;
	public const IRON_INGOT = 265;
	public const GOLD_INGOT = 266;
	public const IRON_SWORD = 267;
	public const WOODEN_SWORD = 268;
	public const WOODEN_SHOVEL = 269;
	public const WOODEN_PICKAXE = 270;
	public const WOODEN_AXE = 271;
	public const STONE_SWORD = 272;
	public const STONE_SHOVEL = 273;
	public const STONE_PICKAXE = 274;
	public const STONE_AXE = 275;
	public const DIAMOND_SWORD = 276;
	public const DIAMOND_SHOVEL = 277;
	public const DIAMOND_PICKAXE = 278;
	public const DIAMOND_AXE = 279;
	public const STICK = 280;
	public const BOWL = 281;
	public const MUSHROOM_STEW = 282;
	public const GOLDEN_SWORD = 283, GOLD_SWORD = 283;
	public const GOLDEN_SHOVEL = 284, GOLD_SHOVEL = 284;
	public const GOLDEN_PICKAXE = 285, GOLD_PICKAXE = 285;
	public const GOLDEN_AXE = 286, GOLD_AXE = 286;
	public const STRING = 287;
	public const FEATHER = 288;
	public const GUNPOWDER = 289;
	public const WOODEN_HOE = 290;
	public const STONE_HOE = 291;
	public const IRON_HOE = 292;
	public const DIAMOND_HOE = 293;
	public const GOLDEN_HOE = 294, GOLD_HOE = 294;
	public const SEEDS = 295, WHEAT_SEEDS = 295;
	public const WHEAT = 296;
	public const BREAD = 297;
	public const LEATHER_CAP = 298, LEATHER_HELMET = 298;
	public const LEATHER_CHESTPLATE = 299, LEATHER_TUNIC = 299;
	public const LEATHER_LEGGINGS = 300, LEATHER_PANTS = 300;
	public const LEATHER_BOOTS = 301;
	public const CHAINMAIL_HELMET = 302, CHAIN_HELMET = 302;
	public const CHAINMAIL_CHESTPLATE = 303, CHAIN_CHESTPLATE = 303;
	public const CHAINMAIL_LEGGINGS = 304, CHAIN_LEGGINGS = 304;
	public const CHAINMAIL_BOOTS = 305, CHAIN_BOOTS = 305;
	public const IRON_HELMET = 306;
	public const IRON_CHESTPLATE = 307;
	public const IRON_LEGGINGS = 308;
	public const IRON_BOOTS = 309;
	public const DIAMOND_HELMET = 310;
	public const DIAMOND_CHESTPLATE = 311;
	public const DIAMOND_LEGGINGS = 312;
	public const DIAMOND_BOOTS = 313;
	public const GOLDEN_HELMET = 314, GOLD_HELMET = 314;
	public const GOLDEN_CHESTPLATE = 315, GOLD_CHESTPLATE = 315;
	public const GOLDEN_LEGGINGS = 316, GOLD_LEGGINGS = 316;
	public const GOLDEN_BOOTS = 317, GOLD_BOOTS = 317;
	public const FLINT = 318;
	public const PORKCHOP = 319, RAW_PORKCHOP = 319;
	public const COOKED_PORKCHOP = 320;
	public const PAINTING = 321;
	public const GOLDEN_APPLE = 322;
	public const SIGN = 323;
	public const OAK_DOOR = 324, WOODEN_DOOR = 324;
	public const BUCKET = 325;

	public const MINECART = 328;
	public const SADDLE = 329;
	public const IRON_DOOR = 330;
	public const REDSTONE = 331, REDSTONE_DUST = 331;
	public const SNOWBALL = 332;
	public const BOAT = 333;
	public const LEATHER = 334;
	public const KELP = 335;
	public const BRICK = 336;
	public const CLAY = 337, CLAY_BALL = 337;
	public const REEDS = 338, SUGARCANE = 338;
	public const PAPER = 339;
	public const BOOK = 340;
	public const SLIMEBALL = 341, SLIME_BALL = 341;
	public const CHEST_MINECART = 342, MINECART_WITH_CHEST = 342;

	public const EGG = 344;
	public const COMPASS = 345;
	public const FISHING_ROD = 346;
	public const CLOCK = 347;
	public const GLOWSTONE_DUST = 348;
	public const FISH = 349, RAW_FISH = 349;
	public const COOKED_FISH = 350;
	public const DYE = 351;
	public const BONE = 352;
	public const SUGAR = 353;
	public const CAKE = 354;
	public const BED = 355;
	public const REPEATER = 356;
	public const COOKIE = 357;
	public const FILLED_MAP = 358;
	public const SHEARS = 359;
	public const MELON = 360, MELON_SLICE = 360;
	public const PUMPKIN_SEEDS = 361;
	public const MELON_SEEDS = 362;
	public const BEEF = 363, RAW_BEEF = 363;
	public const COOKED_BEEF = 364, STEAK = 364;
	public const CHICKEN = 365, RAW_CHICKEN = 365;
	public const COOKED_CHICKEN = 366;
	public const ROTTEN_FLESH = 367;
	public const ENDER_PEARL = 368;
	public const BLAZE_ROD = 369;
	public const GHAST_TEAR = 370;
	public const GOLDEN_NUGGET = 371, GOLD_NUGGET = 371;
	public const NETHER_WART = 372;
	public const POTION = 373;
	public const GLASS_BOTTLE = 374;
	public const SPIDER_EYE = 375;
	public const FERMENTED_SPIDER_EYE = 376;
	public const BLAZE_POWDER = 377;
	public const MAGMA_CREAM = 378;
	public const BREWING_STAND = 379;
	public const CAULDRON = 380;
	public const ENDER_EYE = 381;
	public const GLISTERING_MELON = 382, SPECKLED_MELON = 382;
	public const SPAWN_EGG = 383;
	public const BOTTLE_O_ENCHANTING = 384, EXPERIENCE_BOTTLE = 384;
	public const FIREBALL = 385, FIRE_CHARGE = 385;
	public const WRITABLE_BOOK = 386;
	public const WRITTEN_BOOK = 387;
	public const EMERALD = 388;
	public const FRAME = 389, ITEM_FRAME = 389;
	public const FLOWER_POT = 390;
	public const CARROT = 391;
	public const POTATO = 392;
	public const BAKED_POTATO = 393;
	public const POISONOUS_POTATO = 394;
	public const EMPTYMAP = 395, EMPTY_MAP = 395, MAP = 395;
	public const GOLDEN_CARROT = 396;
	public const MOB_HEAD = 397, SKULL = 397;
	public const CARROTONASTICK = 398, CARROT_ON_A_STICK = 398;
	public const NETHERSTAR = 399, NETHER_STAR = 399;
	public const PUMPKIN_PIE = 400;
	public const FIREWORKS = 401;
	public const FIREWORKSCHARGE = 402, FIREWORKS_CHARGE = 402;
	public const ENCHANTED_BOOK = 403;
	public const COMPARATOR = 404;
	public const NETHERBRICK = 405, NETHER_BRICK = 405;
	public const NETHER_QUARTZ = 406, QUARTZ = 406;
	public const MINECART_WITH_TNT = 407, TNT_MINECART = 407;
	public const HOPPER_MINECART = 408, MINECART_WITH_HOPPER = 408;
	public const PRISMARINE_SHARD = 409;
	public const HOPPER = 410;
	public const RABBIT = 411, RAW_RABBIT = 411;
	public const COOKED_RABBIT = 412;
	public const RABBIT_STEW = 413;
	public const RABBIT_FOOT = 414;
	public const RABBIT_HIDE = 415;
	public const HORSEARMORLEATHER = 416, HORSE_ARMOR_LEATHER = 416, LEATHER_HORSE_ARMOR = 416;
	public const HORSEARMORIRON = 417, HORSE_ARMOR_IRON = 417, IRON_HORSE_ARMOR = 417;
	public const GOLDEN_HORSE_ARMOR = 418, GOLD_HORSE_ARMOR = 418, HORSEARMORGOLD = 418, HORSE_ARMOR_GOLD = 418;
	public const DIAMOND_HORSE_ARMOR = 419, HORSEARMORDIAMOND = 419, HORSE_ARMOR_DIAMOND = 419;
	public const LEAD = 420;
	public const NAMETAG = 421, NAME_TAG = 421;
	public const PRISMARINE_CRYSTALS = 422;
	public const MUTTON = 423, MUTTONRAW = 423, MUTTON_RAW = 423, RAW_MUTTON = 423;
	public const COOKED_MUTTON = 424, MUTTONCOOKED = 424, MUTTON_COOKED = 424;
	public const ARMOR_STAND = 425;
	public const END_CRYSTAL = 426;
	public const SPRUCE_DOOR = 427;
	public const BIRCH_DOOR = 428;
	public const JUNGLE_DOOR = 429;
	public const ACACIA_DOOR = 430;
	public const DARK_OAK_DOOR = 431;
	public const CHORUS_FRUIT = 432;
	public const CHORUS_FRUIT_POPPED = 433;
	public const BANNER_PATTERN = 434;

	public const DRAGON_BREATH = 437;
	public const SPLASH_POTION = 438;

	public const LINGERING_POTION = 441;
	public const SPARKLER = 442;
	public const COMMAND_BLOCK_MINECART = 443, MINECART_WITH_COMMAND_BLOCK = 443;
	public const ELYTRA = 444;
	public const SHULKER_SHELL = 445;
	public const BANNER = 446;
	public const MEDICINE = 447;
	public const BALLOON = 448;
	public const RAPID_FERTILIZER = 449;
	public const TOTEM = 450;
	public const BLEACH = 451;
	public const IRON_NUGGET = 452;
	public const ICE_BOMB = 453;

	public const TRIDENT = 455;

	public const BEETROOT = 457;
	public const BEETROOT_SEEDS = 458;
	public const BEETROOT_SOUP = 459;
	public const RAW_SALMON = 460, SALMON = 460;
	public const CLOWNFISH = 461;
	public const PUFFERFISH = 462;
	public const COOKED_SALMON = 463;
	public const DRIED_KELP = 464;
	public const NAUTILUS_SHELL = 465;
	public const APPLEENCHANTED = 466, APPLE_ENCHANTED = 466, ENCHANTED_GOLDEN_APPLE = 466;
	public const HEART_OF_THE_SEA = 467;
	public const TURTLE_SHELL_PIECE = 468;
	public const TURTLE_HELMET = 469;
	public const PHANTOM_MEMBRANE = 470;
	public const CROSSBOW = 471;
	public const SPRUCE_SIGN = 472;
	public const BIRCH_SIGN = 473;
	public const JUNGLE_SIGN = 474;
	public const ACACIA_SIGN = 475;
	public const DARKOAK_SIGN = 476;
	public const SWEET_BERRIES = 477;

	public const COMPOUND = 499;
	public const RECORD_13 = 500;
	public const RECORD_CAT = 501;
	public const RECORD_BLOCKS = 502;
	public const RECORD_CHIRP = 503;
	public const RECORD_FAR = 504;
	public const RECORD_MALL = 505;
	public const RECORD_MELLOHI = 506;
	public const RECORD_STAL = 507;
	public const RECORD_STRAD = 508;
	public const RECORD_WARD = 509;
	public const RECORD_11 = 510;
	public const RECORD_WAIT = 511;

	public const SHIELD = 513;

}
